curl --request POST \
--url https://int-api.mx.com/users/{user_guid}/managed_members/{member_guid}/accounts/{account_guid}/transactions \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://int-api.mx.com/users/{user_guid}/managed_members/{member_guid}/accounts/{account_guid}/transactions"
payload = {}
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Accept-Version': '<accept-version>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://int-api.mx.com/users/{user_guid}/managed_members/{member_guid}/accounts/{account_guid}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Create managed transaction
Sunset. This endpoint was sunset on 2026-09-29 and no longer returns data — it responds with 410 Gone on all API versions. There is no direct replacement; to send data held at your institution to MX, use MDX Real Time. See Deprecations for details.
Authorizations
To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request:
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
Headers
MX Platform API version.
"v20250224"
Path Parameters
The unique id for an account.
The unique id for a member.
The unique identifier for a user, beginning with the prefix USR-.
Body
Managed transaction to be created.
Hide child attributes
Hide child attributes
The monetary amount of the transaction.
"61.11"
A human-readable description of the transaction.
"Whole Foods"
The date and time the transaction was posted to the account.
"2016-10-07T06:00:00.000Z"
The status of the transaction. Can be either POSTED or PENDING.
POSTED, PENDING "POSTED"
The date and time the transaction took place.
"2016-10-06T13:00:00.000Z"
The type of transaction. Can be either CREDIT or DEBIT.
CREDIT, DEBIT "DEBIT"
The category of the transaction.
"Groceries"
The check number for the transaction.
"6812"
The three-character ISO 4217 currency code, for example, USD.
"USD"
The unique partner-defined identifier for the transaction.
"transaction-265abee9-889b-af6a-c69b-25157db2bdd9"
Indicates whether the transaction is international. If the data provider determines it isn't international then it will be false. It will be null if the data provider does not have this information.
false
The latitude of the location where the transaction occurred. The number is a signed decimal.
-43.2075
A human-readable description of the transaction, provided in a local language.
"This is a localized_description"
Additional descriptive information about the transaction, provided in a local language.
"This is a localized_memo"
The longitude of the location where the transaction occurred. The number is a signed decimal.
139.691706
A human-readable note about the transaction.
"This is a memo"
The ISO 18245 category code for the transaction.
5411
The unique identifier for the merchant. Defined by MX.
"MCH-7ed79542-884d-2b1b-dd74-501c5cc9d25b"
The unique identifier for the merchant_location. Defined by MX.
"MCL-00024e59-18b5-4d79-b879-2a7896726fea"
Additional information you can store about the transaction.
"some metadata"
Response
Gone. This endpoint was sunset on 2026-09-29 and no longer returns data — it responds with 410 Gone on all API versions. See Deprecations.

